Database - Feature #2282

make number of pattern engine instances per conversion profile configurable

04/11/2014 08:25 PM - Eric Faulhaber

Status: Hold Start date: 04/11/2014
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Performance and Scalability

Improvements
billable: No vendor _id: GCD
Description
Related issues:
Related to Database - Feature #2276: create a work queue of PatternEngine ins... Closed

History

#1 - 04/11/2014 08:47 PM - Eric Faulhaber
- Status changed from New to Hold

- Target version changed from 23 to Milestone 17

Currently, we create one pattern engine instance per conversion profile (e.g., schema/p20, annotations/annotations, etc.). All runtime conversion
operations across all sessions have to be handled by these single instances, which operate as critical sections (e.g., one session has access at a
time, until it is finished). Once each profile has its rule-set expressions compiled, they are very fast to execute (around 1-2ms. on an i7 laptop), so |
don't expect this to cause a bottleneck. If, however, this proves to be a problem in performance/scalability testing, we could add configuration to the

directory to specify the number of pattern engines to create, by profile.

Each such instance has a significant memory footprint, since compiled expressions are not shared across pattern engine instances.

#2 - 11/16/2016 12:30 PM - Greg Shah

- Target version changed from Milestone 17 to Performance and Scalability Improvements
